# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

def install():
    print('Installing WAPT Startup')
    program_data = os.getenv('PROGRAMDATA')
    all_users_startup = makepath(program_data,'Microsoft','Windows','Start Menu','Programs','Startup')
    wapt_install = install_location('WAPT_is1')
    if not wapt_install:
        if isdir(makepath(programfiles32,'wapt')):
            wapt_install=makepath(programfiles32,'wapt')
        else:
            wapt_install="C:\wapt"

    print('WAPT installed in : %s' % wapt_install)
    wapt_exit = makepath(wapt_install,'waptexit.exe')
    wapt_upgrade_shortcut = makepath(all_users_startup,'WAPT Upgrade.lnk')

    create_shortcut(wapt_upgrade_shortcut,wapt_exit,arguments='',wDir=wapt_install)

def uninstall():
    print('Remove WAPT Startup')
    program_data = os.getenv('PROGRAMDATA')
    all_users_startup = makepath(program_data,'Microsoft','Windows','Start Menu','Programs','Startup')
    wapt_upgrade_shortcut = makepath(all_users_startup,'WAPT Upgrade.lnk')
    remove_file(wapt_upgrade_shortcut)
	
def update_package():
    pass